Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.place.shared
Interface PlaceController.Delegate

All Known Implementing Classes:
  PlaceController.DefaultDelegate

Enclosing class:
  PlaceController

    public static interface PlaceController.Delegate

Optional delegate in charge of Window-related events. Provides nice isolation for unit testing, and allows customization of confirmation handling.

Method Summary
`HandlerRegistration` | `addWindowClosingHandler(Window.ClosingHandler handler)` Adds a `Window.ClosingHandler` to the Delegate.
`boolean` | `confirm(java.lang.String message)` Called to confirm a window closing event.

Method Detail

### addWindowClosingHandler

    HandlerRegistration addWindowClosingHandler(Window.ClosingHandler handler)

  Adds a `Window.ClosingHandler` to the Delegate.

  Parameters:
    `handler` - a `Window.ClosingHandler` instance
  Returns:
    a `HandlerRegistration` instance

### confirm

    boolean confirm(java.lang.String message)

  Called to confirm a window closing event.

  Parameters:
    `message` - a warning message
  Returns:
    true to allow the window closing

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD